Summary:        Kernel and Hardware related utilities
Name:           kernel-utils
Version:        2.4
Release:        23%{?dist}
Epoch:          1
Group:          System Environment/Base
License:        GPL
Source0:        microcode_ctl-1.17.tar.gz
Source1:        microcode_ctl.init
Source2:        microcode-20100914.dat
Source3:        microcode-20080910.dat
Source10:       dmidecode-2.9.tar.bz2
Source20:       smartmontools-5.33.tar.gz
Source30:       smartd.initd
Source31:       smartd-conf.py
Source40:       rng-tools-2.tar.gz
Source50:       http://www.codemonkey.org.uk/x86info/x86info-1.20.tgz
Source60:       longrun-0.9.tar.bz2
Source90:       irqbalance-0.13.tar.gz
Source91:       irqbalance.init
Source92:       irqbalance.sysconfig
Source100:      hardlink.c
Source101:      hardlink.1
Source110:      cpuspeed-1.2.1.tar.gz
Source111:      cpuspeed.init
Source112:      cpuspeed.8
Source120:      readahead.c
Source121:      readahead.init
Source122:      readahead.files
Source123:      readahead_early.init
Source124:      readahead.early.files
Source150:      fix_kvm_guest_clock_drift.sh
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:         /sbin/chkconfig /sbin/service
Requires:       fileutils kudzu
BuildPreReq:    readline-devel ncurses-devel /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext

%ifarch %{ix86}
Obsoletes:      microcode_ctl
%endif
%ifarch ia64
Requires:       salinfo > 1:0.5-1.3
%endif

Patch1: microcode_ctl.patch
Patch2: smartmontools-smartd.patch
Patch3: cpuspeed.patch
Patch4: irqbalance-pie.patch
Patch5: longrun-0.9-14.patch
Patch6: rng-tools-2-devname.patch
Patch7: irqbalance-largesmp.patch
Patch8: smartmontools-5.33-sata.patch
Patch9: smartmontools-5.33-autosata.patch
Patch10: smartmontools-5.33-cciss.patch
Patch11: cpuspeed-1.2.1-multicore-support.patch
Patch12: smartmontools-5.33-hsm.patch
Patch13: smartmontools-5.33-3ware.patch
Patch14: irqbalance-largecpu.patch
Patch15: smartmontools-5.33-cciss2.patch
Patch16: cpuspeed-write-to-all-affected_cpus.patch

%description
kernel-utils contains several utilities that can be used to control
the kernel or your machines hardware. Included are
* cpuspeed - dynamically change the speed of CPUs (if CPU is capable)
* dmidecode - gives information about the bios and motherboard revisions
* irqbalance - Evenly distribute interrupt load across CPUs.
* microcode_ctl - updates the microcode on Intel cpus
* rng-tools - Hardware random number generation tools.
* smartctl - monitor the health of your disks


%prep
%setup -q -c -a 0 -a 10 -a 20 -a 40 -a 50 -a60 -a90 -a110

%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p0
%patch16 -p0


%build
%ifarch %{ix86} x86_64
cd microcode_ctl-1.17
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
%endif

cd rng-tools-2
%configure --sbindir=/sbin
make
cd ..

cd cpuspeed-1.2.1
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now"
cd ..

cd dmidecode-2.9
%ifarch ia64
make CFLAGS="$RPM_OPT_FLAGS -DALIGNMENT_WORKAROUND"
%else
make CFLAGS="$RPM_OPT_FLAGS"
%endif
cd ..

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,8}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

%ifarch %{ix86} x86_64
cd microcode_ctl-1.17
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=%{_sysconfdir} \
     MICDIR=%{_sysconfdir}/firmware install clean
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/microcode_ctl
# updated microcode
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/firmware/microcode.dat
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/firmware/microcode_old.dat
rm $RPM_BUILD_ROOT%{_sysconfdir}/init.d/microcode_ctl
cd ..

cd x86info-1.20
make
install x86info $RPM_BUILD_ROOT%{_sbindir}/
install x86info.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cd ..
%endif

%ifarch %{ix86}
cd longrun
make
install longrun $RPM_BUILD_ROOT%{_sbindir}/
install longrun.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cd ..
%endif

cd cpuspeed-1.2.1
install cpuspeed $RPM_BUILD_ROOT%{_sbindir}/
install %{SOURCE111} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/cpuspeed
install %{SOURCE112} $RPM_BUILD_ROOT%{_mandir}/man8/
install cpuspeed.conf $RPM_BUILD_ROOT%{_sysconfdir}/cpuspeed.conf

cd ../smartmontools-5.33
%configure
%ifnarch s390 s390x
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now" DESTDIR=$RPM_BUILD_ROOT smartd smartctl install
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/smartd.conf
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd.conf
install %{SOURCE30} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd
%endif

cd ../irqbalance
make
install irqbalance  $RPM_BUILD_ROOT%{_sbindir}/
install %{SOURCE91} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/irqbalance
install %{SOURCE92} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/irqbalance
install irqbalance.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%ifarch %{ix86} x86_64 ia64
cd ../dmidecode-2.9
make DESTDIR=%{buildroot} prefix=%{_prefix} install-bin install-man
%endif

cd ../rng-tools-2
make DESTDIR=$RPM_BUILD_ROOT install

gcc -Wall -O2 -g %{SOURCE100} -o $RPM_BUILD_ROOT%{_sbindir}/hardlink
gcc -Wall -O2 -g %{SOURCE120} -o $RPM_BUILD_ROOT%{_sbindir}/readahead
install %{SOURCE101} $RPM_BUILD_ROOT%{_mandir}/man1/
install %{SOURCE121} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/readahead
install %{SOURCE122} $RPM_BUILD_ROOT%{_sysconfdir}/readahead.files
install %{SOURCE123} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/readahead_early
install %{SOURCE124} $RPM_BUILD_ROOT%{_sysconfdir}/readahead.early.files
%ifnarch s390 s390x
install %{SOURCE31} $RPM_BUILD_ROOT%{_sbindir}/smartd-conf.py
%endif

%ifarch %{ix86} x86_64
install -m755 %{SOURCE150} $RPM_BUILD_ROOT%{_sbindir}/fix_kvm_guest_clock_drift.sh
%endif

chmod -R a-s $RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%ifarch %{ix86} x86_64
%{_sysconfdir}/rc.d/init.d/microcode_ctl
%{_sysconfdir}/firmware/*
/sbin/microcode_ctl
%{_sbindir}/x86info
%endif
%ifarch %{ix86}
%{_sbindir}/longrun
%endif
%{_sbindir}/cpuspeed
%{_sysconfdir}/rc.d/init.d/cpuspeed
%attr(0644,root,root) %config %{_sysconfdir}/cpuspeed.conf
%attr(0644,root,root) %{_sysconfdir}/readahead.files
%attr(0644,root,root) %{_sysconfdir}/readahead.early.files
%{_sbindir}/irqbalance
%{_sbindir}/hardlink
%{_sbindir}/readahead
%attr(0644,root,root) %{_mandir}/*/*
%ifnarch s390 s390x
%{_sbindir}/smartd
%{_sbindir}/smartctl
%{_sbindir}/smartd-conf.py*
%{_sysconfdir}/rc.d/init.d/smartd
%doc %{_docdir}/smartmontools-5.33
%endif
%{_sysconfdir}/rc.d/init.d/irqbalance
%{_sysconfdir}/rc.d/init.d/readahead
%{_sysconfdir}/rc.d/init.d/readahead_early
%attr(0644,root,root) %{_sysconfdir}/sysconfig/irqbalance
%ifarch %{ix86} ia64 x86_64
%{_sbindir}/dmidecode
%endif
%ifarch %{ix86} x86_64
%{_sbindir}/biosdecode
%{_sbindir}/vpddecode
%{_sbindir}/ownership
%endif
%{_bindir}/rngtest
/sbin/rngd
%ifarch %{ix86} x86_64
%{_sbindir}/fix_kvm_guest_clock_drift.sh
%endif

%preun
if [ "$1" = "0" ] ; then
%ifnarch s390 s390x
 /sbin/service smartd stop
 /sbin/chkconfig --del smartd
%endif
 /sbin/chkconfig --del readahead
 /sbin/chkconfig --del readahead_early
 /sbin/chkconfig --del cpuspeed
%ifarch %{ix86} x86_64
 /sbin/chkconfig --del irqbalance
 /sbin/chkconfig --del microcode_ctl
%endif
fi

%post
%ifnarch s390 s390x
/sbin/chkconfig --add smartd
%endif
/sbin/chkconfig --add readahead
/sbin/chkconfig --add readahead_early
/sbin/chkconfig --add cpuspeed
%ifarch %{ix86} x86_64
/sbin/chkconfig --add irqbalance
/sbin/chkconfig --add microcode_ctl
%endif

%ifarch s390 s390x
%triggerun -- kernel-utils <= 2.4-13.1.92
# smartd can be installed on s390(x) from previous releases
if [ -f %{_sysconfdir}/rc.d/init.d/smartd ] ; then
  /sbin/service smartd stop
  /sbin/chkconfig --del smartd
fi
%endif

%triggerpostun -- kernel-utils <= 2.4-13.1.48
/sbin/chkconfig reset microcode_ctl
exit 0


%changelog
* Tue Nov 02 2010 Anton Arapov <anton@redhat.com> 2.4-23
- update to 20100914 microcode image (#499418)

* Thu Aug 30 2010 Anton Arapov <anton@redhat.com> 2.4-22
- update to 20100826 microcode image (#499418)

* Thu Aug 26 2010 Anton Arapov <anton@redhat.com> 2.4-21
- update to 20100209 microcode image (#499418)

* Wed Nov 11 2009 Jarod Wilson <jarod@redhat.com> 2.4-20
- Revise kvm guest helper script to use dmidecode, since
  lshal doesn't show system vendor on RHEL4

* Fri Sep 18 2009 Jarod Wilson <jarod@redhat.com> 2.4-19
- Add helper script that suggests fixes for clock drift issues
  when running RHEL4 as a KVM guest virtual machine (#517365)

* Wed Apr 29 2009 Jarod Wilson <jarod@redhat.com> 2.4-18
- Work-around for multi-core opteron procs not scaling together,
  courtesy of Matthew Garrett (#497490)

* Mon Jan 19 2009 Michal Hlavinka <mhlavink@redhat.com> 2.4-17
- Support newer CCISS controllers in smartmontools (#447979)

* Tue Dec 09 2008 Neil Horman <nhorman@redhat.com> 2.4-16
- Fix irqbalance for large #'s of cpus (#474893)

* Tue Oct 07 2008 Jarod Wilson <jarod@redhat.com> 2.4-15
- Update dmidecode to v2.9 for newer bios support (#459041)
- Update to 20080910 microcode image (#453642)

* Fri Sep 26 2008 Jarod Wilson <jarod@redhat.com>
- Add proper support for multi-core systems (#451119)

* Wed May 21 2008 Jarod Wilson <jwilson@redhat.com>
- Clean up kernel version detection work-around in microcode
  init script

* Tue May 06 2008 Tomas Smetana <tsmetana@redhat.com>
- Fix the smartmontools 3ware patch

* Tue Apr 15 2008 Jarod Wilson <jwilson@redhat.com>
- Drop Conflicts: with older kernels, and instead provide backwards
  compatibility via a second microcode image. Fixes upgrade path.

* Wed Apr 15 2008 Neil Horman <nhorman@redhat.com>
- Fix initscript error codes

* Wed Apr 02 2008 Jarod Wilson <jwilson@redhat.com>
- Update to 20080401 microcode image (#440112)

* Thu Mar 20 2008 Tomas Smetana <tsmetana@redhat.com>
- Fix HSM violation errors in smartmontools (#427454)
- Suppot up to 32 disks on 3ware RAID controllers (#252055)

* Wed Mar 19 2008 Jarod Wilson <jwilson@redhat.com>
- Properly silence powernow-k8 module check

* Wed Mar 12 2008 Jarod Wilson <jwilson@redhat.com>
- Load powersave governor on cpuspeed startup (#183403)

* Tue Feb 26 2008 Jarod Wilson <jwilson@redhat.com>
- Add support for modular powernow-k8
- Add work-around for possible step detection issues
  on multi-core systems (#392781)
- Add conflict w/older kernels, because we need a recent
  kernel with support for larger microcode images (#430535)
- Update to 20080131 microcode image (#431570)

* Tue Jul 31 2007 Tomas Smetana <tsmetana@redhat.com>
- autodetect SATA disks in smartmontools (#206334)
- add CCISS support to smarmontools (#240182)

* Thu Jun 14 2007 Jarod Wilson <jwilson@redhat.com>
- Update x86info to latest upstream for newer cpu
  support, build and install on x86_64 also (#155494)

* Wed Jun 13 2007 Jarod Wilson <jwilson@redhat.com>
- Fix up irqbalance cpu count detection (#244060)

* Mon May 21 2007 Jarod Wilson <jwilson@redhat.com>
- Fix up exit codes in cpuspeed initscript (#237941)
- Update microcode to 1.17 (#235068)
- Implement -h switch for hardlink (#219609)
- Fix hardlink -h segfault on x86_64 (#197789)

* Fri Feb 16 2007 Aristeu Rozanski <arozansk@redhat.com>
- don't use RPM tags on changelog

* Wed Feb 14 2007 Aristeu Rozanski <arozansk@redhat.com>
- fixing s390 debuginfo package: configure shall be called so CFLAGS gets
  updated

* Mon Jan 15 2007 Jarod Wilson <jwilson@redhat.com>
- Use macros consistently
- Add cpuspeed man page (#163702)

* Wed Jan 10 2007 Tomas Mraz <tmraz@redhat.com>
- Remove smartmontools from build on s390 s390x (#180619)
- Fix SATA detection code and the message printed (#187449)

* Mon Dec 11 2006 Jon Masters <jcm@redhat.com>
- update microcode_ctl

* Fri Dec  9 2006 Aristeu Rozanski <arozansk@redhat.com>
- Reverting Serial tag change

* Thu Oct  5 2006 Alan Cox <alan@redhat.com>
- Apply type fix to fix ia64 crashes (#199956)

* Wed Aug  6 2006 Neil Horman <nhorman@redhat.com>
- Updating irqbalance init script to fail u.p. case (bz 184469)
 
* Tue Aug  1 2006 Neil Horman <nhorman@redhat.com>
- updating spec file to reflect license changes

* Tue Aug  1 2006 Neil Horman <nhorman@redhat.com>
- Change irqbalance license to GPLv2

* Tue May  2 2006 Jindrich Novy <jnovy@redhat.com>
- add hardlink man page (#170009)

* Fri Apr 28 2006 Tomas Mraz <tmraz@redhat.com>
- Update smartd-conf.py to handle SATA disks (#168248)

* Thu Apr 20 2006 Dave Jones <davej@redhat.com>
- Update microcode_ctl to 1.13 (#180904)

* Wed Dec 21 2005 Dave Jones <davej@redhat.com>
- Rebuild.

* Wed Dec  7 2005 Dave Jones <davej@redhat.com>
- Pass correct parameter to MAKEDEV. (#164550)

* Thu Dec  1 2005 Jim Paradis <jparadis@redhat.com>
- Update irqbalance to support largesmp

* Fri Nov 11 2005 Dave Jones <davej@redhat.com>
- Update microcode_ctl to 1.12 (#169242)

* Thu Nov 10 2005 Brian Maly <bmaly@redhat.com>
- Suppress FATAL message in cpuspeed. (#168133)

* Fri Nov  4 2005 Dave Jones <davej@redhat.com>
- irqbalance wasn't checking if it was already running in init script. (#169596)

* Tue Oct 25 2005 Dave Jones <davej@redhat.com>
- Fix up incorrect path to libz in readahead file list. (#163589)

* Thu Sep 15 2005 Dave Jones <davej@redhat.com>
- Sometimes udev takes too long to create microcode node. (#164550)

* Thu Jul  7 2005 Dave Jones <davej@redhat.com>
- Fix segfault in dmidecode on IBM eServer xSeries 445 (#154571)

* Tue Jun 28 2005 Dave Jones <davej@redhat.com>
- Move test for /dev/cpu/microcode to after modprobe. (#160833)

* Mon Jun 20 2005 Dave Jones <davej@redhat.com>
- Update cpuspeed to 1.2.1, featuring improved dual-core/SMP support. (#146179)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Make dmidecode handle addresses past 0x7fffffff. (#157187)

* Wed Apr 13 2005 Dave Jones <davej@redhat.com>
- Fix microcode_ctl update issues. (#146415)

* Thu Apr  7 2005 Dave Jones <davej@redhat.com>
- Fix arch typos in specfile.

* Fri Mar 18 2005 Dave Jones <davej@redhat.com>
- Make sure we load the microcode kernel module at init.
- Wait for udev to create device node before we start microcode_ctl
- remove microcode kernel module after use.

* Tue Mar  8 2005 Dave Jones <davej@redhat.com>
- Fix up microcode path in initscript.
- Startup microcode update by default in all runlevels. (#146415)

* Wed Mar  2 2005 Prarit Bhargava <prarit@redhat.com>
- removed salinfod
- created dependence on salinfo RPM

* Fri Feb 25 2005 Dave Jones <davej@redhat.com>
- Update x86info to 1.13

* Thu Feb 10 2005 Jason Baron <jbaron@redhat.com>
- fix dmidecode on IA64. backport from dmidecode 2.5 (Nobuhiro Tachino)

* Wed Feb  2 2005 Dave Jones <davej@redhat.com>
- Enable microcode_ctl in all runlevels. (#146415)
- Use /dev/cpu/microcode node for microcode_ctl.

* Thu Dec  9 2004 Dave Jones <davej@redhat.com>
- Apply the recent cpuspeed changes to the right rc file. (#134398)

* Sun Nov 28 2004 Dave Jones <davej@redhat.com>
- Don't use binaries from /usr too early. (#102049)
- Fix bogus "" in microcode_ctl initscript. (#112014)

* Mon Nov 22 2004 Dave Jones <davej@redhat.com>
- More SMP cpuspeed work. (#134398)
- Don't enable smartd by default. (#114669)

* Thu Nov  4 2004 Dave Jones <davej@redhat.com>
- Update irqbalance to 1.12 (#130625)

* Sat Oct 30 2004 Dave Jones <davej@redhat.com>
- Install irqbalance manpage. (#90023)

* Fri Oct 29 2004 Dave Jones <davej@redhat.com>
- Update irqbalance to 1.10 (#137136)
- Don't start microcode_ctl with -i any more
- Remove reference to IA32 in microcode startup,
  as it works on EM64T now too.

* Thu Oct 28 2004 Dave Jones <davej@redhat.com>
- Update microcode_ctl to upstream 1.10 (#134017, #134018)
- Start irqbalanced on x86-64 too. (#137507)
- chkconfig -del readaheady early on uninstall.

* Wed Oct 20 2004 Miloslav Trmac <mitr@redhat.com>
- Add Requires: kudzu for smartd-conf.py (#134056)

* Mon Oct 18 2004 Dave Jones <davej@redhat.com>
- SMP support for cpuspeed (#134398)

* Tue Oct 12 2004 Dave Jones <davej@redhat.com>
- Re-add dmidecode.
- Include upstream microcode_ctl patch for x86-64.

* Mon Oct 11 2004 Dave Jones <davej@redhat.com>
- Add salinfod for ia64. (#133268)
- Enable microcode_ctl for x86-64

* Wed Sep 15 2004 Arjan van de Ven <arjanv@redhat.com>
- refresh smartmontools

* Mon Sep 13 2004 Arjan van de Ven <arjanv@redhat.com>
- fix missing buildreqs from bug 132410

* Wed Aug 18 2004 Bill Nottingham <notting@redhat.com>
- move rngd to /sbin
- patch rngd to use /dev/hw_crypto by default, not /dev/hwcrypto

* Tue Jun 29 2004 Arjan van de Ven <arjanv@redhat.com>
- add rng-tools

* Mon Jun 21 2004 Alan Cox <alan@redhat.com>
- Fix #107453

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Arjan van de Ven <arjanv@redhat.com>
- remove dmidecode; the 2.6 kernel exports the info in sysfs
- include cpuspeed on all architectures

* Fri May 07 2004 Arjan van de Ven <arjanv@redhat.com>
- fix for bug 122677 (cpuspeed initscript borkage)

* Mon May 03 2004 Arjan van de Ven <arjanv@redhat.com>
- add fix for bug 120522
* Sun May 02 2004 Arjan van de Ven <arjanv@redhat.com>
- update smartmontools to prevent amd64 from segfaulting

* Sat Apr 17 2004 Arjan van de Ven <arjanv@redhat.com>
- make cpuspeed initscript honor locking

* Thu Apr 08 2004 Arjan van de Ven <arjanv@redhat.com>
- fix bug #120347

* Tue Mar 30 2004 Karsten Hopp <karsten@redhat.de> 2.4-9.1
- fix permissions of config files and man pages (#116243)

* Sat Mar 20 2004 Arjan van de Ven <arjanv@redhat.com>
- add patch from warren to make cpuspeed less verbose during boot

* Sun Jan 18 2004 Arjan van de Ven <arjanv@redhat.com>
- add readahead

* Wed Dec 10 2003 Arjan van de Ven <arjanv@redhat.com>
- make irqbalance a PIE executable

* Sun Nov 09 2003 Arjan van de Ven <arjanv@redhat.com>
- add cpuspeed

* Mon Oct 20 2003 Arjan van de Ven <arjanv@redhat.com> 2.4.8-39
- update smartmontools to version 5.21

* Thu Oct 16 2003 Arjan van de Ven <arjanv@redhat.com> 2.4.8-38
- add /usr/bin/hardlink

* Mon Sep 08 2003 Arjan van de Ven <arjanv@redhat.com> 2.4.8-36
- update smartmontools to a 64 bit clean version
- update irqbalance

* Thu Aug 21 2003 Arjan van de Ven <arjanv@redhat.com> 2.4.8-35
- update dmidecode

* Tue Jul 29 2003 Arjan van de Ven <arjanv@redhat.com> 2.4-8.33
- disable smartd by default

* Thu Jul 03 2003 Arjan van de Ven <arjanv@redhat.com>
- clean up the spec a bit
- drop cpqarray monitor; too many dependencies for the use it gets

* Mon Jun 02 2003 Arjan van de Ven <arjanv@redhat.com>
- switch to smartmontools for SMART monitoring

* Fri May 02 2003 Arjan van de Ven <arjanv@redhat.com>
- add chstk for setting non-exec stack flags

* Wed Jan 22 2003 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.28
- /etc/sysconfig/irqbalance to set --oneshot from config file

* Sun Jan 19 2003 Arjan van de Ven <arjanv@redhat.com> 2.4-8.26
- updated irqbalance code

* Sat Jan 18 2003 Arjan van de Ven <arjanv@redhat.com> 2.4-8.23
- add initial irqbalance code

* Thu Jan 16 2003 Bill Nottingham <notting@redhat.com> 2.4-8.22
- fix %%post/%%preun on non-x86

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.4-8.21
- Rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.20
- Build on all archs

* Thu Dec 12 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.19
- added report-acpi-bug script

* Tue Dec 03 2002 Arjan van de Ven <arjanv@redhat.com> 2.4-8.18
- update x86info to version 1.11
- include pmtools for acpi disasm

* Fri Nov 15 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.17
- HP hasn't said it is shipping hammer, so no need for cpqarrayd on hammer
- uml is x86-only for now -- should probably move to its own package
- deal with new net-snmp additional #include requirements

* Thu Nov 14 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.15
- Added acpidmp for x86 only for now (has x86-specific bits in it)
- Updated package cruft removal

* Thu Sep 12 2002 Guy Streeter <streeter@redhat.com> 2.4-8.14
- No eepro100-diag for ppc.

* Fri Aug 23 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.13
- Don't cop out of building uml_net on ia64 - instead, remove usage of
  (effect-free) SA_NOCLDWAIT if not defined.
- Include all the uml tools (+ jailtest/uml_moo/uml_switch/uml_watchdog)

* Fri Aug 23 2002 Arjan van de Ven <arjanv@redhat.com> 2.4-8.12
- add uml tools

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.11
- Remove ExclusiveArch: i386 (since it builds everywhere)
- Include smartd/smartctl man pages

* Wed Jul 31 2002 Arjan van de Ven <arjanv@redhat.com>
- added longrun uitility

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.7
- Patch31 for net-snmp

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Michael K. Johnson <johnsonm@redhat.com>
- include the man pages

* Sat Mar 30 2002 Arjan van de Ven <arjanv@redhat.com>
- change initorder to not shut services down after NFS has shut down
  to allow /usr to be NFS mounted

* Wed Mar 20 2002 Arjan van de Ven <arjanv@redhat.com>
- fix microcode_ctl to work on smp

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 2.4-5
- don't run things by default

* Wed Feb  6 2002 Tim Powers <timp@redhat.com> 2.4-3.6.2
- fix %%post sciptlet typo

* Mon Feb 04 2002 Arjan van de Ven <arjanv@redhat.com>
- fail gracefully in microcode_ctl if firmware isn't downloaded

* Mon Jan 28 2002 Arjan van de Ven <arjanv@redhat.com>
- added x86info

* Tue Jan 15 2002 Bill Nottingham <notting@redhat.com>
- move eepro100-diag from kudzu to here

* Fri Jan 11 2002 Arjan van de Ven <arjanv@redhat.com>
- added cpqarrayd for monitoring cpqarray drives too
  from http://starbreeze.knoware.nl/~hugo/compaq/

* Mon Jan 07 2002 Arjan van de Ven <arjanv@redhat.com>
- added smartsuite for monitoring disk health status

* Fri Dec 07 2001 Arjan van de Ven <arjanv@redhat.com>
- Initial packaging
